Package org.eclipse.jdt.debug.core

## Interface IJavaValue

All Superinterfaces:
  `IAdaptable`, `IDebugElement`, `IValue`

All Known Subinterfaces:
  `IJavaArray`, `IJavaClassObject`, `IJavaObject`, `IJavaPrimitiveValue`

    public interface IJavaValue
    extends IValue

An object, primitive data type, or array, on a Java virtual machine.

See Also:
  `IValue`
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getGenericSignature()` Returns the generic signature as defined in the JVM specification for the type of this value.
`IJavaType` `getJavaType()` Returns the type of this value, or `null` if this value represents the `null` value
`String` `getSignature()` Returns the JNI-style signature for the type of this value, or `null` if the value is `null`.
`boolean` `isNull()` Returns whether this value represents `null`.

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Methods inherited from interface org.eclipse.debug.core.model.IDebugElement

`getDebugTarget, getLaunch, getModelIdentifier`

### Methods inherited from interface org.eclipse.debug.core.model.IValue

`getReferenceTypeName, getValueString, getVariables, hasVariables, isAllocated`

### Method Detail

#### getSignature

    String getSignature()
                 throws DebugException

Returns the JNI-style signature for the type of this value, or `null` if the value is `null`.

Returns:
  signature, or `null` if signature is `null`
Throws:
  `DebugException` - if this method fails. Reasons include:
  - Failure communicating with the VM. The DebugException's status code contains the underlying exception responsible for the failure.
  - The type associated with the signature is not yet loaded

#### getGenericSignature

    String getGenericSignature()
                        throws DebugException

Returns the generic signature as defined in the JVM specification for the type of this value. Returns `null` if the value is `null`, or if the type of this value is not a generic type.

Returns:
  signature, or `null` if generic signature not available
Throws:
  `DebugException` - if this method fails. Reasons include:
  - Failure communicating with the VM. The DebugException's status code contains the underlying exception responsible for the failure.
  - The type associated with the signature is not yet loaded
Since:
  3.1

#### getJavaType

    IJavaType getJavaType()
                   throws DebugException

Returns the type of this value, or `null` if this value represents the `null` value

Returns:
  the type of this value, or `null` if this value represents the `null` value
Throws:
  `DebugException` - if the request fails
Since:
  2.0

#### isNull

    boolean isNull()

Returns whether this value represents `null`.

Returns:
  whether this value represents `null`
Since:
  3.5